PUT
/
v2
/
device
/
remote-desktop
/
devices
/
{deviceId}
/
notes
/
{noteId}
Update remote desktop note
curl --request PUT \
  --url https://coreapi-dev.us.bcpapers.ca/v2/device/remote-desktop/devices/{deviceId}/notes/{noteId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>"
}
'
{
  "author_id": "<string>",
  "company_id": "<string>",
  "content": "<string>",
  "created_at": "<string>",
  "device_id": "<string>",
  "id": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Paste the JWT token only (no "Bearer " prefix needed — the UI adds it automatically).

Path Parameters

deviceId
string
required

Device UUID

noteId
string
required

Note UUID

Body

application/json

Updated note content

content
string

Response

OK

author_id
string
company_id
string
content
string
created_at
string
device_id
string
id
string
updated_at
string